## 系统模块

~~~
com.muyu     
├── muyu-ui              // 前端框架 [80]
├── muyu-gateway         // 网关模块 [8080]
├── muyu-auth            // 认证中心 [9200]
├── muyu-common          // 通用模块
│       └── muyu-common-core                         // 核心模块
│       └── muyu-common-datascope                    // 权限范围
│       └── muyu-common-datasource                   // 多数据源
│       └── muyu-common-log                          // 日志记录
│       └── muyu-common-redis                        // 缓存服务
│       └── muyu-common-seata                        // 分布式事务
│       └── muyu-common-security                     // 安全模块
│       └── muyu-common-swagger                      // 系统接口
│       └── muyu-common-system                       // 系统基础
├── muyu-modules         // 业务模块
│       └── muyu-system                              // 系统模块 [9201]
│       └── muyu-gen                                 // 代码生成 [9202]
│       └── muyu-job                                 // 定时任务 [9203]
│       └── muyu-file                                // 文件服务 [9300]
├── muyu-visual          // 图形化管理模块
│       └── muyu-visual-monitor                      // 监控中心 [9100]
├──pom.xml                // 公共依赖
~~~
