package com.muyu.kvt.dictionary;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 前台接受字典 Diction
 *
 * @author LeYang
 * on 2024/4/25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Diction {
    /**
     * 主鍵
     */
    private Integer id;
    /**
     * 名稱
     */
    private String name;
    /**
     * 類型
     */
    private String type;
    /**
     * 狀態
     */
    private Integer status;

    private List<Dictionaryy> dictionaryTypes;

}
