package com.muyu.kvt.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * ChildrenList 子列表
 *
 * @author LeYang
 * on 2024/4/21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ChildrenList {
    private Integer id;
    private String name;
    private String as;
    private  Integer dataTotal;
    private Long type;
}
