package com.muyu.kvt.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 表结构 Structure
 *
 * @author LeYang
 * on 2024/4/22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Structure {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 接入源名称
     */
    private String name;
    /**
     * 数据来源系统名称
     */
    private String systemName;
    /**
     * 主机地址
     */
    private String host;
    /**
     * 端口地址
     */
    private String port;
    /**
     * 数据库名称
     */
    private String databaseName;
    /**
     * 数据连接参数
     */
    private String connection_param;
    /**
     * 数据接入类型
     */
     private Integer type;

}
