package com.muyu.kvt.dataStructure;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 整体数据结构 overallDataStructure
 *
 * @author LeYang
 * on 2024/4/28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class OverallDataStructure {
    /**
     * 数据接入
     */
    private Integer kvt;

    /**
     * 资产模型
     */
    private Integer table;

    /**
     * 数据模型
     */

    private Integer datas;




}
