package com.muyu.kvt.dept;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * DataSource
 *
 * @author LeYang
 * on 2024/4/27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class DataSource {
    /**
     * 数据接入名称
     */
    private Integer name;
    /**
     * 系统名称
     */
    private String systemName;

      /**
     * 数据库名称
     */
    private String databaseName;
        /**
     * 表名称
     */
    private String tableName;

            /**
     * 表中文名
     */
    private String tableAsName;

       /**
     * 数据量
     */
    private String total;










}
