package com.muyu.kvt.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * AssetStructureList 數據结构
 *
 * @author LeYang
 * on 2024/4/21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AssetStructureList {

    private Integer id;
    private String name;
    private String systemName;
    private String databaseName;
    private Long type;

    /**
     * 总接口
     */
    private Integer kvtNumber;
    /**
     * 总表数
     */
    private Integer tableSum;
    /**
     * 总表数中的总数量
     */
    private Integer sum;






}
