package com.muyu.kvt.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 数据授权基本信息 DataAuthorization
 *
 * @author LeYang
 * on 2024/4/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DataAuthorization {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 接口接入名称
     */
    private String name;
    /**
     * 系统名称
     */
    private String systemName;

    /**
     * 数据库名称
     */
    private String databaseName;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 表备注
     */
    private String as;

    /**
     * 总数量
     */
    private Integer dataTotal;








}
